REM Batch file for rebuilding an existing war file, needed after updating the web component with the installer
ECHO ON
SET ABS_WEBSERVERHOME=%1
SET WEBCOMPONENT=%2
SET ABS_DEPLOYHOME=%ABS_WEBSERVERHOME%deploy\%WEBCOMPONENT%

ECHO Prepare %ABS_DEPLOYHOME%\%WEBCOMPONENT%.war
REM  Archive is created as zip first, this is needed to be able to clean up the archive using 7zip
%ABS_WEBSERVERHOME%tools\7-Zip\7z.exe x %ABS_WEBSERVERHOME%deploy\%WEBCOMPONENT%.war -o%ABS_WEBSERVERHOME%deploy\%WEBCOMPONENT%
copy /Y %ABS_WEBSERVERHOME%deploy\CustomSkin\web_xml\%WEBCOMPONENT%\web.xml %ABS_DEPLOYHOME%\WEB-INF\web.xml

REM For absgenericwebservices
REM copy /Y %ABS_WEBSERVERHOME%deploy\CustomSkin\web_xml\%WEBCOMPONENT%absgenericwebservice.properties %ABS_DEPLOYHOME%\WEB-INF\classes\absgenericwebservice.properties

ECHO Remove %ABS_DEPLOYHOME%\%WEBCOMPONENT%.war
del %ABS_WEBSERVERHOME%deploy\%WEBCOMPONENT%.war

